## PDS Set GPS Service State request PDS Set GPS Service State request |

## Functions

QmiMessagePdsSetGpsServiceStateInput * | qmi_message_pds_set_gps_service_state_input_new ()
QmiMessagePdsSetGpsServiceStateInput * | qmi_message_pds_set_gps_service_state_input_ref ()
void | qmi_message_pds_set_gps_service_state_input_unref ()
gboolean | qmi_message_pds_set_gps_service_state_input_get_state ()
gboolean | qmi_message_pds_set_gps_service_state_input_set_state ()
QmiMessagePdsSetGpsServiceStateOutput * | qmi_message_pds_set_gps_service_state_output_ref ()
void | qmi_message_pds_set_gps_service_state_output_unref ()
gboolean | qmi_message_pds_set_gps_service_state_output_get_result ()
void | qmi_client_pds_set_gps_service_state ()
QmiMessagePdsSetGpsServiceStateOutput * | qmi_client_pds_set_gps_service_state_finish ()

## Types and Values

| QmiMessagePdsSetGpsServiceStateInput
| QmiMessagePdsSetGpsServiceStateOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdsSetGpsServiceStateInput
        ╰── QmiMessagePdsSetGpsServiceStateOutput

## Description

## Functions

### qmi_message_pds_set_gps_service_state_input_new ()

    QmiMessagePdsSetGpsServiceStateInput *
    qmi_message_pds_set_gps_service_state_input_new
                                   (void);

Allocates a new QmiMessagePdsSetGpsServiceStateInput.

#### Returns

the newly created QmiMessagePdsSetGpsServiceStateInput. The returned value should be freed with `qmi_message_pds_set_gps_service_state_input_unref()`.

Since: 1.0

### qmi_message_pds_set_gps_service_state_input_ref ()

    QmiMessagePdsSetGpsServiceStateInput *
    qmi_message_pds_set_gps_service_state_input_ref
                                   (QmiMessagePdsSetGpsServiceStateInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_gps_service_state_input_unref ()

    void
    qmi_message_pds_set_gps_service_state_input_unref
                                   (QmiMessagePdsSetGpsServiceStateInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateInput. |

Since: 1.0

### qmi_message_pds_set_gps_service_state_input_get_state ()

    gboolean
    qmi_message_pds_set_gps_service_state_input_get_state
                                   (QmiMessagePdsSetGpsServiceStateInput *self,
                                    gboolean *value_state_gps_service_state,
                                    GError **error);

Get the 'State' field from `self` .

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateInput. |
value_state_gps_service_state | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_pds_set_gps_service_state_input_set_state ()

    gboolean
    qmi_message_pds_set_gps_service_state_input_set_state
                                   (QmiMessagePdsSetGpsServiceStateInput *self,
                                    gboolean value_state_gps_service_state,
                                    GError **error);

Set the 'State' field in the message.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateInput. |
value_state_gps_service_state | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_pds_set_gps_service_state_output_ref ()

    QmiMessagePdsSetGpsServiceStateOutput *
    qmi_message_pds_set_gps_service_state_output_ref
                                   (QmiMessagePdsSetGpsServiceStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_gps_service_state_output_unref ()

    void
    qmi_message_pds_set_gps_service_state_output_unref
                                   (QmiMessagePdsSetGpsServiceStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateOutput. |

Since: 1.0

### qmi_message_pds_set_gps_service_state_output_get_result ()

    gboolean
    qmi_message_pds_set_gps_service_state_output_get_result
                                   (QmiMessagePdsSetGpsServiceStateOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsSetGpsServiceStateOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_pds_set_gps_service_state ()

    void
    qmi_client_pds_set_gps_service_state (QmiClientPds *self,
                                          QmiMessagePdsSetGpsServiceStateInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a Set GPS Service State request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_set_gps_service_state_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
input | a QmiMessagePdsSetGpsServiceStateInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_pds_set_gps_service_state_finish ()

    QmiMessagePdsSetGpsServiceStateOutput *
    qmi_client_pds_set_gps_service_state_finish
                                   (QmiClientPds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pds_set_gps_service_state()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_set_gps_service_state()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsSetGpsServiceStateOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_set_gps_service_state_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessagePdsSetGpsServiceStateInput

    typedef struct _QmiMessagePdsSetGpsServiceStateInput QmiMessagePdsSetGpsServiceStateInput;

The QmiMessagePdsSetGpsServiceStateInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessagePdsSetGpsServiceStateOutput

    typedef struct _QmiMessagePdsSetGpsServiceStateOutput QmiMessagePdsSetGpsServiceStateOutput;

The QmiMessagePdsSetGpsServiceStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0